org.apache.hadoop.yarn.api.protocolrecords

## Class StartContainersResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.StartContainersResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class StartContainersResponse
      extends Object

  The response sent by the `NodeManager` to the `ApplicationMaster` when asked to start an allocated container.

  See Also:
    `ContainerManagementProtocol.startContainers(StartContainersRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartContainersResponse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<String,ByteBuffer>` | `getAllServicesMetaData()` Get the meta-data from all auxiliary services running on the `NodeManager`.
    `abstract Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException>` | `getFailedRequests()` Get the containerId-to-exception map in which the exception indicates error from per container for failed requests
    `abstract List<ContainerId>` | `getSuccessfullyStartedContainers()` Get the list of `ContainerId` s of the containers that are started successfully.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartContainersResponse

          public StartContainersResponse()

  - ### Method Detail

    - #### getSuccessfullyStartedContainers

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<ContainerId> getSuccessfullyStartedContainers()

      Get the list of `ContainerId` s of the containers that are started successfully.
      Returns:
        the list of `ContainerId` s of the containers that are started successfully.
      See Also:
        `ContainerManagementProtocol.startContainers(StartContainersRequest)`

    - #### getFailedRequests

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> getFailedRequests()

      Get the containerId-to-exception map in which the exception indicates error from per container for failed requests
      Returns:
        map of containerId-to-exception

    - #### getAllServicesMetaData

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Map<String,ByteBuffer> getAllServicesMetaData()

      Get the meta-data from all auxiliary services running on the `NodeManager`.

      The meta-data is returned as a Map between the auxiliary service names and their corresponding per service meta-data as an opaque blob `ByteBuffer`

      To be able to interpret the per-service meta-data, you should consult the documentation for the Auxiliary-service configured on the NodeManager

      Returns:
        a Map between the names of auxiliary services and their corresponding meta-data

Copyright © 2022 Apache Software Foundation. All rights reserved.